## EDBusAddressBookCursor EDBusAddressBookCursor |

## Functions

guint | e_dbus_address_book_cursor_get_total ()
void | e_dbus_address_book_cursor_set_total ()
guint | e_dbus_address_book_cursor_get_position ()
void | e_dbus_address_book_cursor_set_position ()
gboolean | e_dbus_address_book_cursor_call_step_sync ()
void | e_dbus_address_book_cursor_call_step ()
gboolean | e_dbus_address_book_cursor_call_step_finish ()
void | e_dbus_address_book_cursor_complete_step ()
gboolean | e_dbus_address_book_cursor_call_set_alphabetic_index_sync ()
void | e_dbus_address_book_cursor_call_set_alphabetic_index ()
gboolean | e_dbus_address_book_cursor_call_set_alphabetic_index_finish ()
void | e_dbus_address_book_cursor_complete_set_alphabetic_index ()
gboolean | e_dbus_address_book_cursor_call_set_query_sync ()
void | e_dbus_address_book_cursor_call_set_query ()
gboolean | e_dbus_address_book_cursor_call_set_query_finish ()
void | e_dbus_address_book_cursor_complete_set_query ()
gboolean | e_dbus_address_book_cursor_call_dispose_sync ()
void | e_dbus_address_book_cursor_call_dispose ()
gboolean | e_dbus_address_book_cursor_call_dispose_finish ()
void | e_dbus_address_book_cursor_complete_dispose ()
GDBusInterfaceInfo * | e_dbus_address_book_cursor_interface_info ()
guint | e_dbus_address_book_cursor_override_properties ()
EDBusAddressBookCursor * | e_dbus_address_book_cursor_proxy_new_sync ()
void | e_dbus_address_book_cursor_proxy_new ()
EDBusAddressBookCursor * | e_dbus_address_book_cursor_proxy_new_finish ()
EDBusAddressBookCursor * | e_dbus_address_book_cursor_proxy_new_for_bus_sync ()
void | e_dbus_address_book_cursor_proxy_new_for_bus ()
EDBusAddressBookCursor * | e_dbus_address_book_cursor_proxy_new_for_bus_finish ()
EDBusAddressBookCursor * | e_dbus_address_book_cursor_skeleton_new ()

## Properties

guint | position | Read / Write
guint | total | Read / Write

## Signals

gboolean | handle-dispose | Run Last
gboolean | handle-set-alphabetic-index | Run Last
gboolean | handle-set-query | Run Last
gboolean | handle-step | Run Last

## Types and Values

| EDBusAddressBookCursor
struct | EDBusAddressBookCursorProxy
struct | EDBusAddressBookCursorSkeleton

## Object Hierarchy

        GInterface
        ╰── EDBusAddressBookCursor
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── EDBusAddressBookCursorSkeleton
        ╰── GDBusProxy
            ╰── EDBusAddressBookCursorProxy

## Prerequisites

EDBusAddressBookCursor requires GObject.

## Implemented Interfaces

EDBusAddressBookCursorProxy implements GDBusInterface, GInitable, GAsyncInitable and EDBusAddressBookCursor.

EDBusAddressBookCursorSkeleton implements GDBusInterface and EDBusAddressBookCursor.

## Known Implementations

EDBusAddressBookCursor is implemented by EDBusAddressBookCursorProxy and EDBusAddressBookCursorSkeleton.

## Description

## Functions

### e_dbus_address_book_cursor_get_total ()

    guint
    e_dbus_address_book_cursor_get_total (EDBusAddressBookCursor *object);

Gets the value of the "Total" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A EDBusAddressBookCursor. |

#### Returns

The property value.

Since: 3.10

### e_dbus_address_book_cursor_set_total ()

    void
    e_dbus_address_book_cursor_set_total (EDBusAddressBookCursor *object,
                                          guint value);

Sets the "Total" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A EDBusAddressBookCursor. |
value | The value to set. |

Since: 3.10

### e_dbus_address_book_cursor_get_position ()

    guint
    e_dbus_address_book_cursor_get_position
                                   (EDBusAddressBookCursor *object);

Gets the value of the "Position" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A EDBusAddressBookCursor. |

#### Returns

The property value.

Since: 3.10

### e_dbus_address_book_cursor_set_position ()

    void
    e_dbus_address_book_cursor_set_position
                                   (EDBusAddressBookCursor *object,
                                    guint value);

Sets the "Position" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A EDBusAddressBookCursor. |
value | The value to set. |

Since: 3.10

### e_dbus_address_book_cursor_call_step_sync ()

    gboolean
    e_dbus_address_book_cursor_call_step_sync
                                   (EDBusAddressBookCursor *proxy,
                                    const gchar *arg_revision_guard,
                                    gint arg_flags,
                                    gint arg_origin,
                                    gint arg_count,
                                    gint *out_n_results,
                                    gchar ***out_vcards,
                                    guint *out_new_total,
                                    guint *out_new_position,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Step()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_address_book_cursor_call_step()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusAddressBookCursorProxy. |
arg_revision_guard | Argument to pass with the method invocation. |
arg_flags | Argument to pass with the method invocation. |
arg_origin | Argument to pass with the method invocation. |
arg_count | Argument to pass with the method invocation. |
out_n_results | Return location for return parameter or `NULL` to ignore. | [out]
out_vcards | Return location for return parameter or `NULL` to ignore. | [out]
out_new_total | Return location for return parameter or `NULL` to ignore. | [out]
out_new_position | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.10

### e_dbus_address_book_cursor_call_step ()

    void
    e_dbus_address_book_cursor_call_step (EDBusAddressBookCursor *proxy,
                                          const gchar *arg_revision_guard,
                                          gint arg_flags,
                                          gint arg_origin,
                                          gint arg_count,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously invokes the `Step()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_address_book_cursor_call_step_finish()` to get the result of the operation.

See `e_dbus_address_book_cursor_call_step_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusAddressBookCursorProxy. |
arg_revision_guard | Argument to pass with the method invocation. |
arg_flags | Argument to pass with the method invocation. |
arg_origin | Argument to pass with the method invocation. |
arg_count | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 3.10

### e_dbus_address_book_cursor_call_step_finish ()

    gboolean
    e_dbus_address_book_cursor_call_step_finish
                                   (EDBusAddressBookCursor *proxy,
                                    gint *out_n_results,
                                    gchar ***out_vcards,
                                    guint *out_new_total,
                                    guint *out_new_position,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_address_book_cursor_call_step()`.

#### Parameters

proxy | A EDBusAddressBookCursorProxy. |
out_n_results | Return location for return parameter or `NULL` to ignore. | [out]
out_vcards | Return location for return parameter or `NULL` to ignore. | [out]
out_new_total | Return location for return parameter or `NULL` to ignore. | [out]
out_new_position | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_address_book_cursor_call_step()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.10

### e_dbus_address_book_cursor_complete_step ()

    void
    e_dbus_address_book_cursor_complete_step
                                   (EDBusAddressBookCursor *object,
                                    GDBusMethodInvocation *invocation,
                                    gint n_results,
                                    const gchar *const *vcards,
                                    guint new_total,
                                    guint new_position);

Helper function used in service implementations to finish handling invocations of the `Step()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusAddressBookCursor. |
invocation | A GDBusMethodInvocation. | [transfer full]
n_results | Parameter to return. |
vcards | Parameter to return. |
new_total | Parameter to return. |
new_position | Parameter to return. |

Since: 3.10

### e_dbus_address_book_cursor_call_set_alphabetic_index_sync ()

    gboolean
    e_dbus_address_book_cursor_call_set_alphabetic_index_sync
                                   (EDBusAddressBookCursor *proxy,
                                    guint arg_index,
                                    const gchar *arg_locale,
                                    guint *out_new_total,
                                    guint *out_new_position,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetAlphabeticIndex()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_address_book_cursor_call_set_alphabetic_index()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusAddressBookCursorProxy. |
arg_index | Argument to pass with the method invocation. |
arg_locale | Argument to pass with the method invocation. |
out_new_total | Return location for return parameter or `NULL` to ignore. | [out]
out_new_position | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.10

### e_dbus_address_book_cursor_call_set_alphabetic_index ()

    void
    e_dbus_address_book_cursor_call_set_alphabetic_index
                                   (EDBusAddressBookCursor *proxy,
                                    guint arg_index,
                                    const gchar *arg_locale,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetAlphabeticIndex()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_address_book_cursor_call_set_alphabetic_index_finish()` to get the result of the operation.

See `e_dbus_address_book_cursor_call_set_alphabetic_index_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusAddressBookCursorProxy. |
arg_index | Argument to pass with the method invocation. |
arg_locale | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 3.10

### e_dbus_address_book_cursor_call_set_alphabetic_index_finish ()

    gboolean
    e_dbus_address_book_cursor_call_set_alphabetic_index_finish
                                   (EDBusAddressBookCursor *proxy,
                                    guint *out_new_total,
                                    guint *out_new_position,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_address_book_cursor_call_set_alphabetic_index()`.

#### Parameters

proxy | A EDBusAddressBookCursorProxy. |
out_new_total | Return location for return parameter or `NULL` to ignore. | [out]
out_new_position | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_address_book_cursor_call_set_alphabetic_index()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.10

### e_dbus_address_book_cursor_complete_set_alphabetic_index ()

    void
    e_dbus_address_book_cursor_complete_set_alphabetic_index
                                   (EDBusAddressBookCursor *object,
                                    GDBusMethodInvocation *invocation,
                                    guint new_total,
                                    guint new_position);

Helper function used in service implementations to finish handling invocations of the `SetAlphabeticIndex()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusAddressBookCursor. |
invocation | A GDBusMethodInvocation. | [transfer full]
new_total | Parameter to return. |
new_position | Parameter to return. |

Since: 3.10

### e_dbus_address_book_cursor_call_set_query_sync ()

    gboolean
    e_dbus_address_book_cursor_call_set_query_sync
                                   (EDBusAddressBookCursor *proxy,
                                    const gchar *arg_query,
                                    guint *out_new_total,
                                    guint *out_new_position,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetQuery()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_address_book_cursor_call_set_query()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusAddressBookCursorProxy. |
arg_query | Argument to pass with the method invocation. |
out_new_total | Return location for return parameter or `NULL` to ignore. | [out]
out_new_position | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.10

### e_dbus_address_book_cursor_call_set_query ()

    void
    e_dbus_address_book_cursor_call_set_query
                                   (EDBusAddressBookCursor *proxy,
                                    const gchar *arg_query,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetQuery()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_address_book_cursor_call_set_query_finish()` to get the result of the operation.

See `e_dbus_address_book_cursor_call_set_query_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusAddressBookCursorProxy. |
arg_query | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 3.10

### e_dbus_address_book_cursor_call_set_query_finish ()

    gboolean
    e_dbus_address_book_cursor_call_set_query_finish
                                   (EDBusAddressBookCursor *proxy,
                                    guint *out_new_total,
                                    guint *out_new_position,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_address_book_cursor_call_set_query()`.

#### Parameters

proxy | A EDBusAddressBookCursorProxy. |
out_new_total | Return location for return parameter or `NULL` to ignore. | [out]
out_new_position | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_address_book_cursor_call_set_query()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.10

### e_dbus_address_book_cursor_complete_set_query ()

    void
    e_dbus_address_book_cursor_complete_set_query
                                   (EDBusAddressBookCursor *object,
                                    GDBusMethodInvocation *invocation,
                                    guint new_total,
                                    guint new_position);

Helper function used in service implementations to finish handling invocations of the `SetQuery()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusAddressBookCursor. |
invocation | A GDBusMethodInvocation. | [transfer full]
new_total | Parameter to return. |
new_position | Parameter to return. |

Since: 3.10

### e_dbus_address_book_cursor_call_dispose_sync ()

    gboolean
    e_dbus_address_book_cursor_call_dispose_sync
                                   (EDBusAddressBookCursor *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Dispose()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_address_book_cursor_call_dispose()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusAddressBookCursorProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.10

### e_dbus_address_book_cursor_call_dispose ()

    void
    e_dbus_address_book_cursor_call_dispose
                                   (EDBusAddressBookCursor *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Dispose()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_address_book_cursor_call_dispose_finish()` to get the result of the operation.

See `e_dbus_address_book_cursor_call_dispose_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusAddressBookCursorProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 3.10

### e_dbus_address_book_cursor_call_dispose_finish ()

    gboolean
    e_dbus_address_book_cursor_call_dispose_finish
                                   (EDBusAddressBookCursor *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_address_book_cursor_call_dispose()`.

#### Parameters

proxy | A EDBusAddressBookCursorProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_address_book_cursor_call_dispose()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.10

### e_dbus_address_book_cursor_complete_dispose ()

    void
    e_dbus_address_book_cursor_complete_dispose
                                   (EDBusAddressBookCursor *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Dispose()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusAddressBookCursor. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 3.10

### e_dbus_address_book_cursor_interface_info ()

    GDBusInterfaceInfo *
    e_dbus_address_book_cursor_interface_info
                                   (void);

Gets a machine-readable description of the org.gnome.evolution.dataserver.AddressBookCursor D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 3.10

### e_dbus_address_book_cursor_override_properties ()

    guint
    e_dbus_address_book_cursor_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the EDBusAddressBookCursor interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 3.10

### e_dbus_address_book_cursor_proxy_new_sync ()

    EDBusAddressBookCursor *
    e_dbus_address_book_cursor_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.AddressBookCursor. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_address_book_cursor_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusAddressBookCursorProxy]

Since: 3.10

### e_dbus_address_book_cursor_proxy_new ()

    void
    e_dbus_address_book_cursor_proxy_new (GDBusConnection *connection,
                                          GDBusProxyFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.AddressBookCursor. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_address_book_cursor_proxy_new_finish()` to get the result of the operation.

See `e_dbus_address_book_cursor_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.10

### e_dbus_address_book_cursor_proxy_new_finish ()

    EDBusAddressBookCursor *
    e_dbus_address_book_cursor_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_address_book_cursor_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_address_book_cursor_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusAddressBookCursorProxy]

Since: 3.10

### e_dbus_address_book_cursor_proxy_new_for_bus_sync ()

    EDBusAddressBookCursor *
    e_dbus_address_book_cursor_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `e_dbus_address_book_cursor_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_address_book_cursor_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusAddressBookCursorProxy]

Since: 3.10

### e_dbus_address_book_cursor_proxy_new_for_bus ()

    void
    e_dbus_address_book_cursor_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `e_dbus_address_book_cursor_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_address_book_cursor_proxy_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_address_book_cursor_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.10

### e_dbus_address_book_cursor_proxy_new_for_bus_finish ()

    EDBusAddressBookCursor *
    e_dbus_address_book_cursor_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_address_book_cursor_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_address_book_cursor_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusAddressBookCursorProxy]

Since: 3.10

### e_dbus_address_book_cursor_skeleton_new ()

    EDBusAddressBookCursor *
    e_dbus_address_book_cursor_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.gnome.evolution.dataserver.AddressBookCursor.

#### Returns

The skeleton object.

[transfer full][type EDBusAddressBookCursorSkeleton]

Since: 3.10

## Types and Values

### EDBusAddressBookCursor

    typedef struct _EDBusAddressBookCursor EDBusAddressBookCursor;

Abstract interface type for the D-Bus interface org.gnome.evolution.dataserver.AddressBookCursor.

Since: 3.10

### struct EDBusAddressBookCursorProxy

    struct EDBusAddressBookCursorProxy;

The EDBusAddressBookCursorProxy structure contains only private data and should only be accessed using the provided API.

Since: 3.10

### struct EDBusAddressBookCursorSkeleton

    struct EDBusAddressBookCursorSkeleton;

The EDBusAddressBookCursorSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 3.10

## Property Details

### The `“position”` property

      “position”                 guint

Represents the D-Bus property "Position".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

Since: 3.10

### The `“total”` property

      “total”                    guint

Represents the D-Bus property "Total".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

Since: 3.10

## Signal Details

### The `“handle-dispose”` signal

    gboolean
    user_function (EDBusAddressBookCursor *object,
                   GDBusMethodInvocation  *invocation,
                   gpointer                user_data)

Signal emitted when a remote caller is invoking the `Dispose()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_address_book_cursor_complete_dispose()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusAddressBookCursor. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 3.10

### The `“handle-set-alphabetic-index”` signal

    gboolean
    user_function (EDBusAddressBookCursor *object,
                   GDBusMethodInvocation  *invocation,
                   guint                   arg_index,
                   gchar                  *arg_locale,
                   gpointer                user_data)

Signal emitted when a remote caller is invoking the `SetAlphabeticIndex()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_address_book_cursor_complete_set_alphabetic_index()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusAddressBookCursor. |
invocation | A GDBusMethodInvocation. |
arg_index | Argument passed by remote caller. |
arg_locale | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 3.10

### The `“handle-set-query”` signal

    gboolean
    user_function (EDBusAddressBookCursor *object,
                   GDBusMethodInvocation  *invocation,
                   gchar                  *arg_query,
                   gpointer                user_data)

Signal emitted when a remote caller is invoking the `SetQuery()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_address_book_cursor_complete_set_query()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusAddressBookCursor. |
invocation | A GDBusMethodInvocation. |
arg_query | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 3.10

### The `“handle-step”` signal

    gboolean
    user_function (EDBusAddressBookCursor *object,
                   GDBusMethodInvocation  *invocation,
                   gchar                  *arg_revision_guard,
                   gint                    arg_flags,
                   gint                    arg_origin,
                   gint                    arg_count,
                   gpointer                user_data)

Signal emitted when a remote caller is invoking the `Step()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_address_book_cursor_complete_step()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusAddressBookCursor. |
invocation | A GDBusMethodInvocation. |
arg_revision_guard | Argument passed by remote caller. |
arg_flags | Argument passed by remote caller. |
arg_origin | Argument passed by remote caller. |
arg_count | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 3.10